<!DOCTYPE html>
<html>
  <head>
    <title>Rock Paper Scissors</title>
  </head>
  <body>
    <p>Rock Paper Scissors</p>
    <button
      onclick="
        const randomNumber = Math.random();
        let computerMove = '-';
        // console.log(randomNumber);
        if(randomNumber >= 0 && randomNumber < 1/3){
            computerMove = 'Rock';
        }else if(randomNumber >= 1/3 && randomNumber < 2/3){
            computerMove = 'Paper';
        }else if(randomNumber >= 2/3 && randomNumber < 1 ){
            computerMove = 'Scissors';
        }

        console.log(computerMove);

        let result = '';
        if(computerMove === 'Rock'){
            result = 'Tie';
        }else if(computerMove === 'Paper'){
            result = 'You lose';
        }else if(computerMove === 'Scissors'){
            result = 'You win';
        }
        alert(`You picked rock. Computer picked ${computerMove} . ${result}`);
        "
    >
      Rock
    </button>

    <button
      onclick="
        randomNumber = Math.random();
        computerMove = '-';
        // console.log(randomNumber);
        if(randomNumber >= 0 && randomNumber < 1/3){
            computerMove = 'Rock';
        }else if(randomNumber >= 1/3 && randomNumber < 2/3){
            computerMove = 'Paper';
        }else if(randomNumber >= 2/3 && randomNumber < 1 ){
            computerMove = 'Scissors';
        }

        console.log(computerMove);

        result = '';
        if(computerMove === 'Rock'){
            result = 'You win';
        }else if(computerMove === 'Paper'){
            result = 'Tie';
        }else if(computerMove === 'Scissors'){
            result = 'You lose';
        }
        alert(`You picked Paper. Computer picked ${computerMove} . ${result}`);
        "
    >
      Paper
    </button>

    <button
      onclick="
        randomNumber = Math.random();
        computerMove = '-';
        // console.log(randomNumber);
        if(randomNumber >= 0 && randomNumber < 1/3){
            computerMove = 'Rock';
        }else if(randomNumber >= 1/3 && randomNumber < 2/3){
            computerMove = 'Paper';
        }else if(randomNumber >= 2/3 && randomNumber < 1 ){
            computerMove = 'Scissors';
        }

        console.log(computerMove);

        result = '';
        if(computerMove === 'Rock'){
            result = 'You lose';
        }else if(computerMove === 'Paper'){
            result = 'You win';
        }else if(computerMove === 'Scissors'){
            result = 'Tie';
        }
        alert(`You picked Scissors. Computer picked ${computerMove} . ${result}`);
        "
    >
      Scissors
    </button>
    <script></script>
  </body>
</html>
